Bug 722837 - [All langs] gtkhtml-editor-WARNING **:zh-CN: No such language
[All langs] gtkhtml-editor-WARNING **:zh-CN: No such language
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-18 03:57 EDT by A S Alam
Modified: 2013-07-02 21:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 12:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 655277 None None None Never

  None (edit)
Description A S Alam 2011-07-18 03:57:39 EDT
Description of problem:
while writing a mail with HTML format, there was error on terminal, showing above error: "gtkhtml-editor-WARNING  :zh-CN: No such language

Version-Release number of selected component (if applicable):
evolution-3.0.1-1.fc15.i686
gtkhtml3-4.0.1-1.fc15.i686

How reproducible:
everytime

Steps to Reproduce:
1. run evolution with locale zh_CN from terminal
2. create new mail with HTML format
3. type something with ibus zh_CN locale
4. check terminal
  
Actual results:
there is above said error on terminal

Expected results:
no such error should exist

Additional info:
Comment 1 Satyabrata Maitra 2011-07-19 05:45:10 EDT
Actually this error throws in gnome-terminal, when choose HTML format for all the Indic, CJK and EMEA Locales. We generally write locale name as like ja_JP, or it_IT, or pt_BR, or bn_IN, or pa_IN. But here in the error message, it using dash (-), instead of underscore (_). Although devel can say the exact reason behind this.
Comment 2 Satyabrata Maitra 2011-07-19 05:48:48 EDT
The Warnings for various locales thrown in G-T :

[smaitra@localhost ~]$ evolution &
[6] 13961
[5]   죽었음               evolution
[smaitra@localhost ~]$ 
(evolution:13961): gtkhtml-editor-WARNING **: ko-KR: No such language

[6]+  Done                    evolution

[smaitra@localhost ~]$ evolution &
[4] 14159
[smaitra@localhost ~]$ 
(evolution:14159): gtkhtml-editor-WARNING **: it-IT: No such language

[4]+  Done                    evolution

[smaitra@localhost ~]$ evolution &
[4] 14299
[smaitra@localhost ~]$ 
(evolution:14299): gtkhtml-editor-WARNING **: bn-IN: No such language

(gedit:13300): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(firefox:13448): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

(evolution:14299): IBUS-WARNING **: _connection_closed_cb: Underlying GIOStream returned 0 bytes on an async read

[smaitra@localhost ~]$ evolution

(evolution:13672): GLib-GObject-WARNING **: g_object_get_property: object class `EShellSettings' has no property named `cal-primary-calendar'

(evolution:13672): GLib-GObject-WARNING **: g_object_set_property: object class `EShellSettings' has no property named `cal-primary-calendar'

(evolution:13672): gtkhtml-editor-WARNING **: ja-JP: No such language
Comment 3 Milan Crha 2011-07-25 12:20:11 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=655277

Note You need to log in before you can comment on or make changes to this bug.